/* pino.h */
/* SJ 080598 */

/* elementtityyppi */
#define pino_TYYPPI int

/* pino on osoitin pinorakenteeseen */
/* pinorakenne on toteutuksen asia  */
typedef struct pino_rakenne *pino;

/* pino-operaatiot */
pino pino_luo();
void pino_push(pino *kohdepino, pino_TYYPPI luku);
pino_TYYPPI pino_pop(pino *kohdepino);
int pino_onko_alkioita(pino *kohdepino);

